← Tabellen
Zurücksetzen

Ireland

Ulster Championship 3

#TeamPWDLPDPtsForm
1Virginia RFC4400–20WWWW
2Grosvenor RFC4400–20WWWW
3Monaghan RFC4301–15LWWW
4B.H.S FP RFC4202–11LWLW
5P.S.N.I RFC4202–10WLWL
6Donaghadee RFC4202–9WLWL
7Ulster University RFC4202–9LWLW
8Newry RFC4103–5WLLL
9Cavan RFC4004–2LLLL
10Civil Service RFC4004–0LLLL

Quelle: Ulster Rugby · geprüft 17. Okt., 20:20 · Form: die letzten fünf Ergebnisse, die wir haben, das neueste rechts.

Spiele & Ergebnisse →

Jede Tabelle ist die von der Liga selbst veröffentlichte Wertung, mit Bonuspunkten, Abzügen und Entscheidungskriterien. BP steht dort, wo die Liga ihn ausweist; sonst ist er in Pts enthalten.